### Constructor

# GimpUi PaletteSelectButton new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_palette_select_button_new (
      const gchar* title,
      const gchar* palette_name
    )

#### Description [src]

Creates a new `GtkWidget` that completely controls the selection of a palette. This widget is suitable for placement in a table in a plug-in dialog.

Available since: 2.4

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`palette_name`

  Type: `const gchar*`

  Initial palette name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A `GtkWidget` that you can use in your UI.

The data is owned by the called function.